Bug 239494 - [NEW PORT] sysutils/toybox: All-in-one command line
Summary: [NEW PORT] sysutils/toybox: All-in-one command line
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2019-07-28 13:03 UTC by Vidar Karlsen
Modified: 2019-11-22 12:16 UTC (History)
3 users (show)

See Also:


Attachments
svn diff (2.25 KB, patch)
2019-07-28 13:03 UTC, Vidar Karlsen
no flags Details | Diff
Cleaned up diff (2.07 KB, patch)
2019-07-28 14:07 UTC, Vidar Karlsen
no flags Details | Diff
Fixed diff (2.03 KB, patch)
2019-11-21 23:42 UTC, Vidar Karlsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vidar Karlsen 2019-07-28 13:03:44 UTC
Created attachment 206114 [details]
svn diff

Toybox combines common command line utilities together
into a single BSD-licensed executable that's simple, small,
fast, reasonably standards-compliant, and powerful.

WWW: http://landley.net/toybox/

QA:
portlint -AC: looks fine.
poudriere testport on 11.2, 11.3, 12.0: builds with some warnings.
Comment 1 Vidar Karlsen 2019-07-28 14:07:20 UTC
Created attachment 206118 [details]
Cleaned up diff

Cleaned up the Makefile with help from koobs
Comment 2 Ed Maste freebsd_committer 2019-08-03 16:41:39 UTC
Thanks! I've been working with toybox upstream to get more of the toys building on FreeBSD and am happy to have a port of it!
Comment 3 Renato Botelho freebsd_committer 2019-11-21 23:01:41 UTC
Vidar,

There is a tool designed to fix shebang lines as you can see in section 17.80 of Porters Handbook [1].  Could you please change Makefile to use it instead of doing that manually?

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/uses-shebangfix.html
Comment 4 Renato Botelho freebsd_committer 2019-11-21 23:07:04 UTC
(In reply to Renato Botelho from comment #3)
The change is basically this:

USES=		gmake shebangfix

SHEBANG_FILES=	scripts/change.sh scripts/findglobals.sh \
		scripts/genconfig.sh scripts/install.sh \
		scripts/make.sh scripts/minicom.sh \
		scripts/portability.sh scripts/runtest.sh \
		scripts/single.sh scripts/test.sh configure

and then remove the for statement used to replace it from post-patch:.  Since bash is a supported language you don't need to do much.
Comment 5 Vidar Karlsen 2019-11-21 23:42:41 UTC
Created attachment 209333 [details]
Fixed diff
Comment 6 Vidar Karlsen 2019-11-21 23:44:57 UTC
(In reply to Renato Botelho from comment #4)
Thanks Renato, I must have tricked myself into thinking the normal shebangfix didn't work in this case, but it does indeed work.
Please see the latest attachment for a revised version.
While here, I also bumped it to 0.8.2.
Comment 7 commit-hook freebsd_committer 2019-11-22 12:15:55 UTC
A commit references this bug:

Author: garga
Date: Fri Nov 22 12:15:38 UTC 2019
New revision: 518143
URL: https://svnweb.freebsd.org/changeset/ports/518143

Log:
  Toybox combines common command line utilities together
  into a single BSD-licensed executable that's simple, small,
  fast, reasonably standards-compliant, and powerful.

  WWW: http://landley.net/toybox/

  PR:		239494
  Submitted by:	vidar@karlsen.tech

Changes:
  head/sysutils/Makefile
  head/sysutils/toybox/
  head/sysutils/toybox/Makefile
  head/sysutils/toybox/distinfo
  head/sysutils/toybox/pkg-descr